# Testing an alternative shell in python

- Modify and install shell.py into system and make it executable. Make sure python3 and required packages are installed.
- Add user to system with minimal permissions, example /etc/passwd `admin:x:1000:100::/jail:/shell`
- Add user to group for easier management, example /etc/group `configusers:x:1000:admin`
- Edit sshd to meet security standards, example options:
```
Match Group configusers
        AllowAgentForwarding no
        AllowTcpForwarding no
        X11Forwarding no
        PermitTTY yes
        PrintMotd no
        PrintLastLog no
        TCPKeepAlive no
        Banner none
        MaxAuthTries 3
        MaxSessions 1
```